import sys,os
sys.path.append(os.path.abspath('../'))

# Import the viiaPackage
from viiapackage import *

# Initiate the session
project = viia_create_project(project_name='exercise-5-model', version_nr=1)

# Load the model in the json that was created with the model script (model sub folder)
project.viia_read_dump('model', False)

# Adding the strengthening measure
project.viia_l4f(wall='N1-WANDEN-MW-KLEI<1945-150-7', flip = True, offset_bottom = 0.0, offset_top = 0.0)
project.viia_connect_all_shapes()

# Create connections
project.viia_auto_interfaces()

# Set data properties to all shapes for flexbase model
project.viia_create_all_datas()

# Create the model
project.viia_create_model()